Subject: Re: bug#29881: guix system reconfigure fails if config.scm contains LUKS mapped-devices

From: Leo Famulari <[email-masked]>
Date: Thu, 28 Dec 2017 17:30:01 -0500

Can you send your config.scm? 

Without it, it's hard to know if there is a problem with your config.scm or the Guix mapper-devices code.

-------- Original Message --------
From: Diego Nicola Barbato <[email-masked]>
Sent: December 28, 2017 5:18:04 PM EST
To: [email-masked]
Subject: bug#29881: guix system reconfigure fails if config.scm contains LUKS	mapped-devices

Hello Guix,

When running `guix system reconfigure /etc/config.scm' as root I get the
following error:

guix system: error: failed to load '/etc/config.scm':
/etc/config.scm:24:9: /etc/config.scm:24:9: In procedure allocate-struct: Wrong type argument in position 2: 3

This error appears for the first time in commit
4ca90ff5976434a2b6e758df38df54387ae70c1b.  On line 24 of my config file
I have declared a mapped device of type luks-device-mapping.  If the
config file does not contain any mapped-devices declaration `guix system
reconfigure' works as expected (checked in a VM).

I run GuixSD on a x86_64 machine.

Greetings

Diego N. Barbato